<?php
/**
 * @package AffiliateRegistrationController
 * @author TechVillage <support@techvill.org>
 * @contributor Sakawat Hossain Rony <[sakawat.techvill@gmail.com]>
 * @created 08-08-2023
 */
namespace Modules\Affiliate\Http\Controllers\User;

use App\Models\Role;
use App\Models\RoleUser;
use App\Models\User;
use App\Services\Mail\UserVerificationCodeMailService;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Session;

class AffiliateRegistrationController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Renderable
     */
    public function registration(Request $request)
    {
        if ($this->fcvb()) {
            return redirect()->route('admin.affiliate.dashboard');
        }

        $user = auth()->user()->affiliateUser()->first();

        if (empty($user) || !empty($user) && $user->status == 'Pending') {

            if ($request->isMethod('get')) {
                return view('affiliate::site.registration');
            }

            return (new AffiliateController)->beAffiliate($request, 'site');
        }

        abort(404);
    }

    protected function fcvb()
    {
        // if(empty(d_f_c())) {
        //     return true;
        // }

        // if (!dfc_()) {
        //     try {
        //         $_c = _d_f_c();
        //         $c_ = d_f_c();
        //         $e_ = explode('.', $c_);

        //         $_e_ = md5($_c . $e_[1]);

        //         if ($e_[0] == $_e_) {
        //             dfc();

        //             return false;
        //         }

        //         return true;
        //     } catch (\Exception $e) {
        //         return true;
        //     }
        // }
        dfc();
        return false;
    }
}
